%global majorver 1.0

Name:		xfpanel-switch
Version:	1.0.3
Release:	2%{?dist}
Summary:	A simple application to manage Xfce panel layouts

License:	GPLv3
URL:		https://launchpad.net/%{name}
Source0:	https://launchpad.net/%{name}/%{majorver}/%{version}/+download/%{name}-%{version}.tar.bz2
# Add appdata file
Source1:	%{name}.appdata.xml

BuildRequires:	python3-devel
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libappstream-glib
BuildRequires:	desktop-file-utils
BuildArch:	noarch
Requires:	xfce4-panel

%description
A simple application to manage Xfce panel layouts

With the modular Xfce Panel, a multitude of panel layouts can be created. This 
tool makes it possible to backup, restore, import, and export these panel layouts.

%prep
%setup -q

# remove "xubuntu" layouts
rm -fr data/layouts/xubuntu*
sed -i '/cd data\/layouts\/xubuntu-*/d' Makefile.in.in
sed -i '/INSTALL $(DESTDIR)\/$(PREFIX)\/share\/doc/d' Makefile.in.in
sed -i '/COPYING $(DESTDIR)\/$(PREFIX)\/share\/doc/d' Makefile.in.in

%build
./configure --prefix=/usr
make %{?_smp_mflags}

%install
%make_install

%{__install} -Dp -m644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
%{__install} -Dp -m644 COPYING %{buildroot}%{_datadir}/licenses/%{name}/COPYING

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml


%files -f %{name}.lang
%license COPYING
%doc NEWS AUTHORS README
%{_datadir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sun Mar 6 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.0.3-2
- Add desktop-file-validate for .desktop files
- Fix buildrequires
- Add appdata file and corresponding BR

* Sat Mar 5 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.0.3-1
- Inital package 
